# List GPU families (/api-reference/reference/list-gpu-families)

## List GPU families

`GET https://data.tryopengrid.com/v1/families`

GPU families and their canonical variants.

### Parameters

- `limit` (query, integer)
- `cursor` (query, any)
- `OpenGrid-Version` (header, string): The API version to shape the response for. Default: the version pinned to your key.

### Response `data`

- `architecture` (null | string)
- `cheapest_variant_now` (null | object)
  - `gpu` (string)
  - `gpu_name` (string)
  - `label` (string)
  - `price_per_gpu_hour` (number)
  - `provider` (string)
  - `provider_name` (string)
- `id` (string)
- `kind` (string)
- `link` (string)
- `member_families` (array | null)
- `name` (string)
- `variants` (array of object)
  - `gpu` (string)
  - `gpu_name` (string)
  - `price` (object)
  - `providers` (number)
- `variants_priced` (number)

Every success is `{"data": ..., "meta": {as_of, api_version, request_id, next_cursor?}}`.

### Example

```bash
curl "https://data.tryopengrid.com/v1/families" \
  -H "Authorization: Bearer $OPENGRID_API_KEY"
```